#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'noneproc.title_pengumuman_tender'}
#{/set}

<div class="breadcrumb">&{'noneproc.title_pengumuman_tender'}</div>
<div class="content">
    <table class="table table-sm" id="tblNonEproc">
        <thead>
        <tr>
            <th>&{'noneproc.kode'}</th>
            <th>&{'noneproc.paket'}</th>
            <th>&{'noneproc.satuan_kerja'}</th>
            <th>HPS</th>
            <th>&{'noneproc.pengambilan_doc'}</th>
        </tr>
        </thead>
    </table>
</div>


#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var view = #{jsRoute @NonEprocCtr.View(':id') /};
var table = $("#tblNonEproc").DataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.nonEproc()}",
        columns: [{visible:false}, {render: function(data, type, row) {
        	 	var ids = row[0];
		        var judul = row[1];
		        row[0] = row[2];
		        row[1] = '<a target="_blank" href="'+view.url({id:ids})+'">'+judul+'</a>';
		        return row[1];
        	}},null, null,null
        ]
    })
    $('#tblNonEproc_filter input').unbind();
    $('#tblNonEproc_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}
